Package org.eclipse.ui.editors.text

# Class TextFileDocumentProvider.FileBufferListener

java.lang.Object
org.eclipse.ui.editors.text.TextFileDocumentProvider.FileBufferListener

All Implemented Interfaces:
  `IFileBufferListener`

Enclosing class:
  TextFileDocumentProvider

protected class TextFileDocumentProvider.FileBufferListener extends Object implements IFileBufferListener

## Constructor Summary

Constructors
Constructor
Description
`FileBufferListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`bufferContentAboutToBeReplaced(IFileBuffer file)`
Informs the listener about an upcoming replace of the contents of the given buffer.
`void`
`bufferContentReplaced(IFileBuffer file)`
Informs the listener that the buffer of the given buffer has been replaced.
`void`
`bufferCreated(IFileBuffer buffer)`
Informs the listener about the creation of the given buffer.
`void`
`bufferDisposed(IFileBuffer buffer)`
Informs the listener that the given buffer has been disposed.
`void`
`dirtyStateChanged(IFileBuffer file, boolean isDirty)`
Informs the listener that the dirty state of the given buffer changed to the specified value
`void`
`stateChangeFailed(IFileBuffer file)`
Informs the listener that a state changing operation on the given file buffer failed.
`void`
`stateChanging(IFileBuffer file)`
Informs the listener about the start of a state changing operation on the given buffer.
`void`
`stateValidationChanged(IFileBuffer file, boolean isStateValidated)`
Informs the listener that the state validation changed to the specified value.
`void`
`underlyingFileDeleted(IFileBuffer file)`
Informs the listener that the file underlying the given file buffer has been deleted.
`void`
`underlyingFileMoved(IFileBuffer file, IPath newLocation)`
Informs the listener that the file underlying the given file buffer has been moved to the given location.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileBufferListener

public FileBufferListener()

## Method Details

### bufferContentAboutToBeReplaced

public void bufferContentAboutToBeReplaced(IFileBuffer file)
Description copied from interface: `IFileBufferListener`
Informs the listener about an upcoming replace of the contents of the given buffer.

Specified by:
  `bufferContentAboutToBeReplaced` in interface `IFileBufferListener`
Parameters:
  `file` - the affected file buffer

### bufferContentReplaced

public void bufferContentReplaced(IFileBuffer file)
Description copied from interface: `IFileBufferListener`
Informs the listener that the buffer of the given buffer has been replaced.

Specified by:
  `bufferContentReplaced` in interface `IFileBufferListener`
Parameters:
  `file` - the affected file buffer

### stateChanging

public void stateChanging(IFileBuffer file)
Description copied from interface: `IFileBufferListener`
Informs the listener about the start of a state changing operation on the given buffer.

Specified by:
  `stateChanging` in interface `IFileBufferListener`
Parameters:
  `file` - the affected file buffer

### dirtyStateChanged

public void dirtyStateChanged(IFileBuffer file, boolean isDirty)
Description copied from interface: `IFileBufferListener`
Informs the listener that the dirty state of the given buffer changed to the specified value

Specified by:
  `dirtyStateChanged` in interface `IFileBufferListener`
Parameters:
  `file` - the affected file buffer
  `isDirty` - `true` if the buffer is dirty, `false` otherwise

### stateValidationChanged

public void stateValidationChanged(IFileBuffer file, boolean isStateValidated)
Description copied from interface: `IFileBufferListener`
Informs the listener that the state validation changed to the specified value.

Specified by:
  `stateValidationChanged` in interface `IFileBufferListener`
Parameters:
  `file` - the affected file buffer
  `isStateValidated` - `true` if the buffer state is validated, `false` otherwise

### underlyingFileMoved

public void underlyingFileMoved(IFileBuffer file, IPath newLocation)
Description copied from interface: `IFileBufferListener`
Informs the listener that the file underlying the given file buffer has been moved to the given location.

This event is currently only sent if the file buffer is backed by an `IFile`.

Specified by:
  `underlyingFileMoved` in interface `IFileBufferListener`
Parameters:
  `file` - the affected file buffer
  `newLocation` - the new location (not just the container)

### underlyingFileDeleted

public void underlyingFileDeleted(IFileBuffer file)
Description copied from interface: `IFileBufferListener`
Informs the listener that the file underlying the given file buffer has been deleted.

Specified by:
  `underlyingFileDeleted` in interface `IFileBufferListener`
Parameters:
  `file` - the affected file buffer

### stateChangeFailed

public void stateChangeFailed(IFileBuffer file)
Description copied from interface: `IFileBufferListener`
Informs the listener that a state changing operation on the given file buffer failed.

Specified by:
  `stateChangeFailed` in interface `IFileBufferListener`
Parameters:
  `file` - the affected file buffer

### bufferCreated

public void bufferCreated(IFileBuffer buffer)
Description copied from interface: `IFileBufferListener`
Informs the listener about the creation of the given buffer.

Specified by:
  `bufferCreated` in interface `IFileBufferListener`
Parameters:
  `buffer` - the created file buffer

### bufferDisposed

public void bufferDisposed(IFileBuffer buffer)
Description copied from interface: `IFileBufferListener`
Informs the listener that the given buffer has been disposed. All state information has already been disposed and accessing it is forbidden. However, accessing the file buffer's content is still allowed during the notification.

Specified by:
  `bufferDisposed` in interface `IFileBufferListener`
Parameters:
  `buffer` - the disposed file buffer